package ca.recrown.islandsurvivalcraft;

import org.apache.commons.lang.NotImplementedException;
import org.bukkit.World;
import org.bukkit.generator.ChunkGenerator;
import org.bukkit.plugin.java.JavaPlugin;

import ca.recrown.islandsurvivalcraft.worldgen.IslandSurvivalCraftWorldGenerator;

public class IslandSurvivalCraft extends JavaPlugin {
    IslandSurvivalCraftWorldGenerator generator;

    @Override
    public void onEnable() {
        super.onEnable();
    }

    @Override
    public void onDisable() {
        super.onDisable();
    }

    @Override
    public ChunkGenerator getDefaultWorldGenerator(String worldName, String id) {
        if (generator == null) {
            World world = getServer().getWorld(worldName);
            generator = new IslandSurvivalCraftWorldGenerator(world.getSeed(), world.getMaxHeight(), world.getSeaLevel(), true);
        }
        return generator;
    }
}
